Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class UpdateType.UpdateManagerConfig

    java.lang.Object
      com.sun.mdm.index.parser.UpdateType.UpdateManagerConfig

Enclosing class:
  UpdateType

class UpdateType.UpdateManagerConfig
extends java.lang.Object

Field Summary
`(package private) java.lang.String` | `enterpriseCreatePolicy`
`(package private) java.lang.String` | `enterpriseMergePolicy`
`(package private) java.lang.String` | `enterpriseUnmergePolicy`
`(package private) java.lang.String` | `enterpriseUpdatePolicy`
`(package private) java.lang.String` | `moduleName`
`(package private) java.lang.String` | `parserClass`
`(package private) java.lang.String` | `skipUpdateIfNoChange`
`(package private) java.lang.String` | `systemMergePolicy`
`(package private) java.lang.String` | `systemUnmergePolicy`
`(package private) java.lang.String` | `undoAssumeMatchPolicy`

Constructor Summary
`(package private)` | `UpdateType.UpdateManagerConfig()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### enterpriseCreatePolicy

    java.lang.String enterpriseCreatePolicy

### enterpriseMergePolicy

    java.lang.String enterpriseMergePolicy

### enterpriseUnmergePolicy

    java.lang.String enterpriseUnmergePolicy

### enterpriseUpdatePolicy

    java.lang.String enterpriseUpdatePolicy

### moduleName

    java.lang.String moduleName

### parserClass

    java.lang.String parserClass

### skipUpdateIfNoChange

    java.lang.String skipUpdateIfNoChange

### systemMergePolicy

    java.lang.String systemMergePolicy

### systemUnmergePolicy

    java.lang.String systemUnmergePolicy

### undoAssumeMatchPolicy

    java.lang.String undoAssumeMatchPolicy

Constructor Detail

### UpdateType.UpdateManagerConfig

    UpdateType.UpdateManagerConfig()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.